Subject: [OPSAWG] FW: Router Alert based Monitoring

From: "David Muldowney" <[email-masked]>
Date: Thu, 4 Mar 2010 11:49:52 -0000

Hi,

We submitted the email below to the ipv6 list describing a potential
mechanism for collecting management information along a path. We originally
(last Nov) proposed an IPv6 extension header for doing this, however, based
on initial feedback it was recommended that our mechanism would be based on
Router Alert.

As this would potentially be a new protocol for collecting management
information along a path we considered it worthwhile to circulate the
proposal here to request some feedback to determine if this might be
something considered useful and worth pursuing as we think it is.

The post and its initial feedback can be found at the link below.

Regards,
David Muldowney

http://www.ietf.org/mail-archive/web/ipv6/current/maillist.html

> -----Original Message-----
> From: Alan Davy [mailto:[email-masked]]
> Sent: 26 February 2010 16:19
> To: [email-masked]
> Subject: Router Alert based Monitoring
> 
> Hi All,
> 
> Previously we circulated a proposal [Nov 4th 09] about defining a new
> IPv6
> Hop by Hop extension header whereby performance metrics can be
> collected
> per node along a path. Based on feedback received from the list the
> recommendation was to consider utilising Router Alert as per RFC2113.
> 
> After researching this mechanism we propose to define a protocol using
> Router Alert where a network operator can request a sequence of managed
> objects to be collected at each node along a specific path within an
> administrative domain augmenting existing protocols and practices so
> that
> the managed objects can be quickly associated to a specific path for
> further diagnosis without the need for mining large volumes of data
> using
> DPI, IPFIX, active or passive probes etc. This could be in response to
> an
> alarm, customer initiated trouble ticket or periodic service assurance
> for
> premium services/customers. This mechanism would not be used to
> calculate
> the latency on a path so fast processing is not requirement. One sample
> scenario of use would be to gather a report of the current queue
> lengths
> at each interface that the packet traverses on the path.
> 
> We would like to keep this as customizable as possible, so we are
> considering a solution whereby an operator can specify the managed
> objects
> by means of an Object Identifier (so any supported MIBs data could be
> collected). Each node would report both the OID instance and its value
> as
> the packet traverses the path. The operator can then use this
> information
> to
> perform more targeted diagnostics as required.
> 
> The main technical challenge we forsee is the feasibility of
> determining the
> OID instances and their value at each hop.
> 
> We would like to know if such a monitoring protocol would be viewed as
> desirable and technically a reasonable approach.
> 
> Best Regards,
> 
> Alan Davy